const app = getApp();
Page({
    data: {
        sumYearAmnt: 0,
        payList: []
    },
    onLoad: function (options) {

    },
    onShow() {
        app.$api.getSettings().then(setting => {
            let payList = setting.data.EXPEND_SETTING;
            app.$api.getSettingsExpend().then(res => {
                let result = res.data;
                payList.forEach(item => {
                    let money = 0
                    if (result[item.id]){
                        money = result[item.id];
                    }
                    if (!money){
                        money = 0
                    }
                    item.money = money;
                })
                let sumYearAmnt = result[-1];
                this.setData({payList,sumYearAmnt})
            });
        });
    },
    handleClick() {
        wx.navigateTo({
            url : "../edit/index?isAccount=0&isIncome=0&isAdd=1"
        })
    }
});
